package com.ruoyi.szxc.service.impl;

import com.ruoyi.szxc.domain.SzxcCsFw;
import com.ruoyi.szxc.mapper.SzxcCsFwMapper;
import com.ruoyi.szxc.service.ISzxcCsFwService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 场所房屋关联Service业务层处理
 *
 * @author hs
 * @date 2024-03-30
 */
@Service
public class SzxcCsFwServiceImpl implements ISzxcCsFwService
{
    @Autowired
    private SzxcCsFwMapper szxcCsFwMapper;

    /**
     * 查询场所房屋关联
     *
     * @param id 场所房屋关联主键
     * @return 场所房屋关联
     */
    @Override
    public SzxcCsFw selectSzxcCsFwById(Long id)
    {
        return szxcCsFwMapper.selectSzxcCsFwById(id);
    }

    /**
     * 查询场所房屋关联列表
     *
     * @param szxcCsFw 场所房屋关联
     * @return 场所房屋关联
     */
    @Override
    public List<SzxcCsFw> selectSzxcCsFwList(SzxcCsFw szxcCsFw)
    {
        return szxcCsFwMapper.selectSzxcCsFwList(szxcCsFw);
    }

    /**
     * 新增场所房屋关联
     *
     * @param szxcCsFw 场所房屋关联
     * @return 结果
     */
    @Override
    public int insertSzxcCsFw(SzxcCsFw szxcCsFw)
    {
        return szxcCsFwMapper.insertSzxcCsFw(szxcCsFw);
    }

    /**
     * 修改场所房屋关联
     *
     * @param szxcCsFw 场所房屋关联
     * @return 结果
     */
    @Override
    public int updateSzxcCsFw(SzxcCsFw szxcCsFw)
    {
        return szxcCsFwMapper.updateSzxcCsFw(szxcCsFw);
    }

    /**
     * 批量删除场所房屋关联
     *
     * @param ids 需要删除的场所房屋关联主键
     * @return 结果
     */
    @Override
    public int deleteSzxcCsFwByIds(Long[] ids)
    {
        return szxcCsFwMapper.deleteSzxcCsFwByIds(ids);
    }

    /**
     * 删除场所房屋关联信息
     *
     * @param id 场所房屋关联主键
     * @return 结果
     */
    @Override
    public int deleteSzxcCsFwById(Long id)
    {
        return szxcCsFwMapper.deleteSzxcCsFwById(id);
    }
}
